summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Hunter Sezen <orbea@fredslev.dk>2018-05-20 07:49:31 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-05-20 07:49:31 +0700
commit767d69b8e3861cd491dee18d10b54a8c0da4fb6b (patch)
tree2caf818029997eb4b84745351754b5dd6876af30
parent2ed8621f665ceec18f3ebb4500207f593374efa6 (diff)
downloadslackbuilds-767d69b8e3861cd491dee18d10b54a8c0da4fb6b.tar.gz
slackbuilds-767d69b8e3861cd491dee18d10b54a8c0da4fb6b.tar.xz
development/libretro-samples: Updated for version 2018.04.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/libretro-samples/libretro-samples.SlackBuild173
-rw-r--r--development/libretro-samples/libretro-samples.info8
2 files changed, 107 insertions, 74 deletions
diff --git a/development/libretro-samples/libretro-samples.SlackBuild b/development/libretro-samples/libretro-samples.SlackBuild
index 5a8b2c8aa6..8b608d05d9 100644
--- a/development/libretro-samples/libretro-samples.SlackBuild
+++ b/development/libretro-samples/libretro-samples.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libretro-samples
-# Copyright 2016 Hunter Sezen California, USA
+# Copyright 2016, 2018 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libretro-samples
-VERSION=${VERSION:-2016.09.22_f06a8d1}
+VERSION=${VERSION:-2018.04.18_882017d}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -40,26 +40,10 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# requires patching the Makefile to properly use
-# the default CFLAGS and CXXFLAGS are probably fine
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
-DEBUG=${DEBUG:-0}
-VULKAN=${VULKAN:-0}
+LIBDIRSUFFIX=
+[ "$ARCH" = x86_64 ] && LIBDIRSUFFIX=64
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -74,74 +58,123 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-if [ -x /usr/bin/fpc ]; then
- PASCAL_PONG="demos/game/pascal_pong"
-else
- PASCAL_PONG=""
-fi
+basic=; g=; pascal=; vulkan=
-if [ "$VULKAN" = "1" ]; then
- VULKAN="graphics/vulkan/vk_async_compute graphics/vulkan/vk_rendering"
-else
- VULKAN=""
-fi
+[ "${DEBUG:=0}" != 0 ] && { DEBUG=1; g='-g'; }
+[ "${VULKAN:-0}" != 0 ] && \
+ vulkan='video/vulkan/vk_async_compute video/vulkan/vk_rendering'
+
+# The freebasic core requires jdk and doesn't do anything.
+# [ -x /usr/bin/fbc ] && basic='lang/freebasic'
+
+[ -x /usr/bin/fpc ] && pascal='lang/pascal'
SAMPLES="audio/audio_callback \
audio/audio_no_callback \
- demos/game/cruzes \
- graphics/opengl/libretro_test_gl_compute_shaders \
- graphics/opengl/libretro_test_gl_fixedfunction \
- graphics/opengl/libretro_test_gl_shaders \
- graphics/software/rendering \
- graphics/software/rendering_direct_to_vram \
- input/button_test \
- $PASCAL_PONG \
+ audio/audio_playback_wav \
+ $basic \
+ $pascal \
+ tests/cruzes \
tests/test \
tests/test_advanced \
- $VULKAN"
+ video/opengl/libretro_test_gl_compute_shaders \
+ video/opengl/libretro_test_gl_fixedfunction \
+ video/opengl/libretro_test_gl_shaders \
+ video/software/rendering \
+ video/software/rendering_direct_to_vram \
+ $vulkan"
+
+# Included with RetroArch
+# input/button_test \
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-for core in $SAMPLES; do
- base=$(basename $core)
-
- case $base in
- audio_callback) LIBNAM=test${base}_libretro ;;
- audio_no_callback) LIBNAM=test${base}_libretro ;;
- button_test) LIBNAM=${base}_libretro ;;
- cruzes) LIBNAM=${base}_libretro ;;
- libretro_test_gl_compute_shaders) LIBNAM=testgl_compute_shaders_libretro ;;
- libretro_test_gl_fixedfunction) LIBNAM=testgl_ff_libretro ;;
- libretro_test_gl_shaders) LIBNAM=testgl_libretro ;;
- pascal_pong) LIBNAM=${base}_libretro ;;
- rendering) LIBNAM=testsw_libretro ;;
- rendering_direct_to_vram) LIBNAM=testsw_vram_libretro ;;
- test) LIBNAM=${base}_libretro ;;
- test_advanced) LIBNAM=advanced_tests_libretro ;;
- vk_async_compute) LIBNAM=testvulkan_async_compute_libretro ;;
- vk_rendering) LIBNAM=testvulkan_libretro ;;
- *) echo "$base not found" && exit 1 ;;
+eval "set -- $SAMPLES"
+for core do
+ base="${core##*/}"
+
+ case "$base" in
+ audio_callback)
+ LIBNAM=test${base}_libretro
+ ;;
+ audio_no_callback)
+ LIBNAM=test${base}_libretro
+ ;;
+ audio_playback_wav)
+ LIBNAM=test${base}_libretro
+ ;;
+ button_test)
+ LIBNAM=testinput_buttontest_libretro
+ ;;
+ cruzes)
+ LIBNAM=${base}_libretro
+ ;;
+ freebasic)
+ LIBNAM=${base}_libretro
+ ;;
+ libretro_test_gl_compute_shaders)
+ LIBNAM=testgl_compute_shaders_libretro
+ ;;
+ libretro_test_gl_fixedfunction)
+ LIBNAM=testgl_ff_libretro
+ ;;
+ libretro_test_gl_shaders)
+ LIBNAM=testgl_libretro
+ ;;
+ pascal)
+ LIBNAM=${base}_pong_libretro
+ ;;
+ rendering)
+ LIBNAM=testsw_libretro
+ ;;
+ rendering_direct_to_vram)
+ LIBNAM=testsw_vram_libretro
+ ;;
+ test)
+ LIBNAM=${base}_libretro
+ ;;
+ test_advanced)
+ LIBNAM=advanced_tests_libretro
+ ;;
+ vk_async_compute)
+ LIBNAM=testvulkan_async_compute_libretro
+ ;;
+ vk_rendering)
+ LIBNAM=testvulkan_libretro
+ ;;
+ *)
+ printf %s\\n "$base not found"; exit 1
+ ;;
esac
- if [ "$core" = "$PASCAL_PONG" ]; then
- fpc -o$core/$LIBNAM.so $core/pong.pas
- cp -a $core/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE-$base
- else
- make -C $core DEBUG=$DEBUG
- fi
+ case "$core" in
+ $pascal)
+ fpc $g -o"$core/$LIBNAM.so" "$core/pong.pas"
+ ;;
+ $basic)
+ fbc $g -dll "$core/fbastest.bas" -x "$core/$LIBNAM.so"
+ ;;
+ *)
+ ( cd "$core" ; make DEBUG=$DEBUG )
+ ;;
+ esac
- install -Dm0644 $core/$LIBNAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
- install -Dm0644 $LIBNAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
+ install -Dm0644 $core/$LIBNAM.so \
+ $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$LIBNAM.so
+ install -Dm0644 $LIBNAM.info \
+ $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$LIBNAM.info
cp -a $core/README.md $PKG/usr/doc/$PRGNAM-$VERSION/README_$LIBNAM
done
-if [ "${DEBUG:-0}" = "0" ]; then
+if [ $DEBUG = 0 ]; then
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
fi
-cp -a demos/game/cruzes/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE-cruzes
-cp -a license demos/game/cruzes/LICENSE-Carlito $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a tests/cruzes/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE-cruzes
+cp -a license tests/cruzes/LICENSE-Carlito $PKG/usr/doc/$PRGNAM-$VERSION
+[ ${pascal} ] && \
+ cp -a $pascal/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE-pascal
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/development/libretro-samples/libretro-samples.info b/development/libretro-samples/libretro-samples.info
index b0159081d7..e7ce88de8d 100644
--- a/development/libretro-samples/libretro-samples.info
+++ b/development/libretro-samples/libretro-samples.info
@@ -1,8 +1,8 @@
PRGNAM="libretro-samples"
-VERSION="2016.09.22_f06a8d1"
-HOMEPAGE="https://www.libretro.com/"
-DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/libretro-samples-2016.09.22_f06a8d1.tar.xz"
-MD5SUM="1a72523c891db7e75e88f6d89842fb8a"
+VERSION="2018.04.18_882017d"
+HOMEPAGE="http://www.libretro.com/"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/libretro/libretro-samples-2018.04.18_882017d.tar.xz"
+MD5SUM="86858beebd67ac9917caef28d5075456"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="RetroArch"